Package Details: php53-apache 5.3.29-8

Git Clone URL: https://aur.archlinux.org/php53.git (read-only)
Package Base: php53
Description: Apache SAPI for PHP
Upstream URL: http://php.net
Licenses: PHP
Provides: php-apache=5.3.29
Submitter: None
Maintainer: felixonmars (Volkan)
Last Packager: Volkan
Votes: 10
Popularity: 0.003507
First Submitted: 2012-06-24 22:51
Last Updated: 2017-06-05 20:40

Required by (33)

Sources (25)

Latest Comments

gluceri commented on 2018-03-29 08:51

You need to install enchant1.6 from aur. Then patch "confiugure" and rebuild.

JJK commented on 2018-02-15 20:22

For me it crashes on:

checking for ENCHANT support... yes, shared
configure: error: Cannot find enchant
==> ERROR: A failure occurred in build().
    Aborting...

bachy commented on 2017-12-06 12:53

Hello,

php53-mcrypt from aur is in conclict with extra/php i'm running both php versions (7 & 5.3) using php-fpm but now mcrypt is not here anymore for php53

what can i do ?

francoism90 commented on 2017-09-11 13:30

==> Retrieving sources...
-> Downloading php-5.3.29.tar.xz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
100 8928k 100 8928k 0 0 4464k 0 0:00:02 0:00:02 --:--:-- 3030k
-> Downloading suhosin-patch-5.3.9-0.9.10.patch.gz...
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
Warning: Transient problem: timeout Will retry in 3 seconds. 3 retries left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
Warning: Transient problem: timeout Will retry in 3 seconds. 2 retries left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
Warning: Transient problem: timeout Will retry in 3 seconds. 1 retries left.
0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0
curl: (6) Could not resolve host: suhosin-patch-5.3.9-0.9.10.patch.gz
==> ERROR: Failure while downloading http://download.suhosin.org/suhosin-patch-5.3.9-0.9.10.patch.gz

mlamm commented on 2017-05-03 08:45

No dice, still the same error.

Using
alias makepkg='makepkg --skippgpcheck'
for now.

Volkan commented on 2017-04-28 22:06

Try this:

gpg --recv-key 7DEC4E69FC9C83D7

mlamm commented on 2017-04-28 14:33

==> Verifying source file signatures with gpg...
php-5.3.29.tar.xz ... FAILED (unknown public key 7DEC4E69FC9C83D7)
==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Makepkg was unable to build php53.

also tried adding using .asc file and key id manually, doesnt work :-(

edit: seems like key expired:
> pacman-key -f 7DEC4E69FC9C83D7
pub rsa2048 2012-03-18 [SC] [expired: 2017-03-17]
0A95 E9A0 2654 2D53 835E 3F3A 7DEC 4E69 FC9C 83D7
uid [ expired] Johannes Schlüter <johannes@schlueters.de>
uid [ expired] Johannes Schlüter <johannes@php.net>

Volkan commented on 2017-04-14 13:12

Hey all!

I've merged zlatkig's changes into the aur. PHP is now running as php53. The systemd service is included.

CAUTION: You need to adjust paths in your webserver after updating.

3KyNoX commented on 2017-04-09 12:16

Hello,

Compile successfully, php -v return right version as expected.
Before compiling it added as dependency apache 2.4.25-1, html page works but no php files.

Then I added to httpd.conf :

LoadModule php5_module modules/libphp5.so
AddHandler php5-script php
Include conf/extra/php5_module.conf

But httpd -t return when I restart apache :

httpd: Syntax error on line 157 of /etc/httpd/conf/httpd.conf: Cannot load modules/libphp5.so into server: /etc/httpd/modules/libphp5.so: undefined symbol: core_global_id

Any idea ?

LithiumPT commented on 2016-11-09 14:22

@zlatkig, awesome work! really!
@felixonmars, maybe you could update the package with zlatkig's snapshot?

All comments